

####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

####################################################################################

set(Collage_PREFIX_DIR ${PACKAGE_PREFIX_DIR})
set(_output_type)
set(_out)
set(_req)
set(_quiet)
set(_fail)

if(Collage_FIND_REQUIRED)
  set(_output_type FATAL_ERROR)
  set(_out 1)
  set(_req REQUIRED)
else()
  set(_output_type STATUS)
  if(NOT Collage_FIND_QUIETLY)
    set(_out 1)
  endif()
endif()
if(Collage_FIND_QUIETLY)
  set(_quiet QUIET)
endif()

find_package(Lunchbox 1.8.0 EXACT ${_req} ${_quiet})
if(LUNCHBOX_FOUND)
  list(APPEND COLLAGE_LIBRARIES ${LUNCHBOX_LIBRARIES})
else()
  set(_fail TRUE)
endif()

if(NOT _fail)
  set(COLLAGE_VERSION 1.0.0)
  set_and_check(COLLAGE_INCLUDE_DIRS ${Collage_PREFIX_DIR}/include)
  set(COLLAGE_DEB_DEPENDENCIES "collage1 (>= 1.0)")
  set(COLLAGE_DEB_LIB_DEPENDENCY "collage1-lib (>= 1.0)")
  set(COLLAGE_DEB_DEV_DEPENDENCY "collage1-dev (>= 1.0)")

  if(Collage_FIND_COMPONENTS)
    find_library(${UPPER_PROJECT_NAME}_LIBRARY Collage NO_DEFAULT_PATH
                 PATHS ${Collage_PREFIX_DIR} PATH_SUFFIXES lib )
    list(APPEND COLLAGE_LIBRARIES ${COLLAGE_LIBRARY})
    foreach(_component ${Collage_FIND_COMPONENTS})
      find_library(${_component}_libraryname Collage_${_component} NO_DEFAULT_PATH
        PATHS ${Collage_PREFIX_DIR} PATH_SUFFIXES lib )

      if(${_component}_libraryname MATCHES ${_component}_libraryname-NOTFOUND)
        if(Collage_FIND_REQUIRED_${_component})
          set(_fail "Component library ${_component} not found")
          message(FATAL_ERROR "   Collage_${_component} "
            "not found in ${Collage_PREFIX_DIR}/lib")
        elseif(NOT _quiet)
          message(STATUS "   Collage_${_component} "
            "not found in ${Collage_PREFIX_DIR}/lib")
        endif()
      else()
        string(TOUPPER ${_component} _COMPONENT)
        set(COLLAGE_${_COMPONENT}_FOUND TRUE)
        set(COLLAGE_${_COMPONENT}_LIBRARY ${${_component}_libraryname})
        list(APPEND COLLAGE_LIBRARIES ${${_component}_libraryname})
        list(APPEND COLLAGE_COMPONENTS ${_component})
      endif()
    endforeach()
  else()
    set(COLLAGE_LIBRARY_NAMES Collage)
    foreach(_libraryname ${COLLAGE_LIBRARY_NAMES})
      string(TOUPPER ${_libraryname} _LIBRARYNAME)
      find_library(${_LIBRARYNAME}_LIBRARY ${_libraryname} NO_DEFAULT_PATH
                   PATHS ${Collage_PREFIX_DIR} PATH_SUFFIXES lib )
      if(${_LIBRARYNAME}_LIBRARY MATCHES ${_LIBRARYNAME}_LIBRARY-NOTFOUND)
        set(_fail "${_libraryname} not found")
        if(_out)
          message(${_output_type} "   Missing the Collage "
            "library in ${Collage_PREFIX_DIR}/lib.")
        endif()
      else()
        list(APPEND COLLAGE_LIBRARIES ${${_LIBRARYNAME}_LIBRARY})
        string(REPLACE "Collage_" "" _component ${_libraryname})
        string(TOUPPER ${_component} _COMPONENT)
        set(COLLAGE_${_COMPONENT}_FOUND TRUE)
        list(APPEND COLLAGE_COMPONENTS ${_component})
      endif()
    endforeach()
  endif()

  if(EXISTS ${Collage_PREFIX_DIR}/share/Collage/CMake/options.cmake)
    include(${Collage_PREFIX_DIR}/share/Collage/CMake/options.cmake)
  endif()
endif()

if(_fail)
  set(COLLAGE_FOUND)
  set(COLLAGE_VERSION)
  set(COLLAGE_INCLUDE_DIRS)
  set(COLLAGE_LIBRARIES)
  set(COLLAGE_DEB_DEPENDENCIES)
  set(COLLAGE_LIBRARY)
  set(COLLAGE_COMPONENTS)
  if(_out)
    message(STATUS "Could not find Collage: ${_fail}")
  endif()
else()
  set(COLLAGE_FOUND TRUE)
  set(COLLAGE_MODULE_FILENAME )
  if(_out)
    message(STATUS "Found Collage 1.0.0 ${COLLAGE_COMPONENTS} in "
      "${COLLAGE_INCLUDE_DIRS}:${COLLAGE_LIBRARY}")
  endif()
endif()
